| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::timed_wb_iface Class Referenceabstract

`#include <uhd/types/wb_iface.hpp>`

Inheritance diagram for uhd::timed_wb_iface:

## Public Types
typedef std::shared_ptr< timed_wb_iface > | sptr
Public Types inherited from uhd::wb_iface
typedef std::shared_ptr< wb_iface > | sptr
typedef uint32_t | wb_addr_type

## Public Member Functions
virtual time_spec_t | get_time (void)=0
virtual void | set_time (const time_spec_t &t)=0
Public Member Functions inherited from uhd::wb_iface
virtual | ~wb_iface (void)
virtual void | poke64 (const wb_addr_type addr, const uint64_t data)
virtual uint64_t | peek64 (const wb_addr_type addr)
virtual void | poke32 (const wb_addr_type addr, const uint32_t data)
virtual uint32_t | peek32 (const wb_addr_type addr)
virtual void | poke16 (const wb_addr_type addr, const uint16_t data)
virtual uint16_t | peek16 (const wb_addr_type addr)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<timed_wb_iface> uhd::timed_wb_iface::sptr

## Member Function Documentation

## ◆ get_time()

virtual time_spec_t uhd::timed_wb_iface::get_time | ( | void |  | ) |
| pure virtual

Get the command time.

Returns
  the command time

## ◆ set_time()

virtual void uhd::timed_wb_iface::set_time | ( | const time_spec_t & | t | ) |
| pure virtual

Set the command time.

Parameters

  t | the command time

The documentation for this class was generated from the following file:

- wb_iface.hpp